public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/PyQt6/
Date: Sat, 17 Jun 2023 04:49:42 +0000 (UTC)	[thread overview]
Message-ID: <1686977295.cbc14347484f0a9921d2498235115e61f8d594ea.ionen@gentoo> (raw)

commit:     cbc14347484f0a9921d2498235115e61f8d594ea
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 17 04:22:27 2023 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sat Jun 17 04:48:15 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbc14347

dev-python/PyQt6: remove gcc dependency, update hack

Turns out that this *can* use clang++ but only if qtbase was built with
clang++ as well, otherwise it still uses g++ even with CXX=clang++

But given the former, there is little reason to enforce the dependency.

Ideally would use CXX but that would require more elaborate testing to
know what it is and what qtbase was built with (perhaps if ever add the
hack to qmake-utils.eclass).

No revbump given PyQt* bindings are a slowish build and depcleaning
gcc is a bit niche, the few interested can handle this manually until
next bump.

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-python/PyQt6/PyQt6-6.5.1.ebuild | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/dev-python/PyQt6/PyQt6-6.5.1.ebuild b/dev-python/PyQt6/PyQt6-6.5.1.ebuild
index dcf60aee78e0..29f6a8ef6fe2 100644
--- a/dev-python/PyQt6/PyQt6-6.5.1.ebuild
+++ b/dev-python/PyQt6/PyQt6-6.5.1.ebuild
@@ -66,16 +66,18 @@ RDEPEND="
 BDEPEND="
 	>=dev-python/PyQt-builder-1.15[${PYTHON_USEDEP}]
 	>=dev-qt/qtbase-${QT_PV}
-	sys-devel/gcc
 	dbus? ( virtual/pkgconfig )"
 
 src_prepare() {
 	default
 
-	# hack: qmake queries g++ directly for info (not building) and that doesn't
-	# work with clang, this is to make it at least respect CHOST (bug #726112)
+	# hack: qmake queries g++ or clang++ for info depending on which qtbase was
+	# built with, but ignores CHOST failing with -native-symlinks (bug #726112)
+	# and potentially using wrong information when cross-compiling
 	mkdir "${T}"/cxx || die
-	ln -s "$(type -P ${CHOST}-g++ || type -P g++ || die)" "${T}"/cxx/g++ || die
+	local cxx
+	! cxx=$(type -P "${CHOST}"-g++) || ln -s -- "${cxx}" "${T}"/cxx/g++ || die
+	! cxx=$(type -P "${CHOST}"-clang++) || ln -s -- "${cxx}" "${T}"/cxx/clang++ || die
 	PATH=${T}/cxx:${PATH}
 }
 


             reply	other threads:[~2023-06-17  4:49 UTC|newest]

Thread overview: 71+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-17  4:49 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-07  3:29 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyqt6/ Ionen Wolkens
2024-12-16  8:42 Ionen Wolkens
2024-12-12 22:36 Ionen Wolkens
2024-12-06  5:10 Ionen Wolkens
2024-11-25  7:46 Ionen Wolkens
2024-11-25  7:46 Ionen Wolkens
2024-11-22 20:00 [gentoo-commits] repo/gentoo:master commit in: dev-python/PyQt6/ Michał Górny
2024-11-13 10:04 Ionen Wolkens
2024-09-20 11:01 Arthur Zamarin
2024-09-18  6:36 Arthur Zamarin
2024-09-12 13:45 Sam James
2024-09-05  1:23 Sam James
2024-09-03 12:31 Ionen Wolkens
2024-09-02  6:16 Sam James
2024-08-31  2:42 Ionen Wolkens
2024-08-12 18:21 Arthur Zamarin
2024-08-08 10:05 Sam James
2024-07-24  9:03 Ionen Wolkens
2024-07-19 14:39 Ionen Wolkens
2024-06-29 12:29 Jakov Smolić
2024-06-28 18:05 Sam James
2024-06-28 18:05 Sam James
2024-06-28 14:45 Ionen Wolkens
2024-05-13  0:46 Sam James
2024-04-27 10:11 Ionen Wolkens
2024-04-26 11:31 Ionen Wolkens
2023-12-25 15:49 Ionen Wolkens
2023-12-22 22:40 Mart Raudsepp
2023-12-19 20:58 Ionen Wolkens
2023-12-17 18:29 Arthur Zamarin
2023-12-16 12:06 Ionen Wolkens
2023-12-04 16:08 Ionen Wolkens
2023-11-15 17:20 Arthur Zamarin
2023-11-05 15:49 Ionen Wolkens
2023-11-05 13:52 Ionen Wolkens
2023-10-30 14:47 Ionen Wolkens
2023-10-18 13:03 Ionen Wolkens
2023-10-14 14:48 Ionen Wolkens
2023-09-28 13:07 Ionen Wolkens
2023-09-28 13:07 Ionen Wolkens
2023-09-28 13:07 Ionen Wolkens
2023-09-15  6:08 Ionen Wolkens
2023-09-05 13:05 Ionen Wolkens
2023-09-05 13:05 Ionen Wolkens
2023-08-06  4:32 Ionen Wolkens
2023-07-25  0:10 Ionen Wolkens
2023-06-17  4:49 Ionen Wolkens
2023-06-13 13:20 Ionen Wolkens
2023-06-03  5:21 Ionen Wolkens
2023-05-11 17:01 Ionen Wolkens
2023-04-23  1:21 Ionen Wolkens
2023-04-22  8:04 Ionen Wolkens
2023-04-22  6:53 Ionen Wolkens
2023-04-22  6:53 Ionen Wolkens
2023-04-19 20:07 Ionen Wolkens
2023-04-19 20:07 Ionen Wolkens
2023-04-16  9:02 Ionen Wolkens
2023-02-13 15:59 Ionen Wolkens
2023-02-13 11:46 Ionen Wolkens
2023-02-06 17:45 Ionen Wolkens
2023-01-30 19:11 Ionen Wolkens
2023-01-28 15:56 Ionen Wolkens
2022-10-28 20:53 Ionen Wolkens
2022-10-28 20:47 Ionen Wolkens
2022-10-20 13:34 Ionen Wolkens
2022-10-04  1:33 Ionen Wolkens
2022-08-03 18:58 Ionen Wolkens
2022-08-03 16:05 Ionen Wolkens
2022-08-03 13:51 Ionen Wolkens
2022-08-03  0:22 Ionen Wolkens

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1686977295.cbc14347484f0a9921d2498235115e61f8d594ea.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox